<%@ page contentType="text/html;charset=utf-8"
import = "java.io.File"
import = "cn.js.fan.web.*"
import = "cn.js.fan.util.ErrMsgException"
import="com.redmoon.forum.*"
%>
<%@ page import="cn.js.fan.web.Global" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="com.redmoon.forum.person.UserSet"%><jsp:useBean id="StrUtil" scope="page" class="cn.js.fan.util.StrUtil" /><jsp:useBean id="form" scope="page" class="cn.js.fan.security.Form" /><%
boolean cansubmit = false;
com.redmoon.forum.Config cfg = new com.redmoon.forum.Config();
int interval = cfg.getIntProperty("forum.addMsgInterval");
int maxtimespan = interval;
try {
	cansubmit = form.cansubmit(request,"addtopic", maxtimespan);// 防止重复刷新	
}
catch (ErrMsgException e) {
	out.println(e.getMessage());
	return;
}

boolean isSuccess = false;
String privurl = "";
String boardcode = "";
try {
	MsgMgr msgMgr = new MsgMgr();
	isSuccess = msgMgr.AddReplyWE(application, request);
	privurl = msgMgr.getprivurl();
	boardcode = msgMgr.getCurBoardCode();
}
catch (ErrMsgException e) {
	out.print("-" + SkinUtil.LoadString(request, "info_op_fail") + " "+e.getMessage());
	return;
}
out.print("+" + SkinUtil.LoadString(request, "info_op_success"));
%>


